### Class

# Foundry InputValidatorDelegate

#### Description

    final class Foundry.InputValidatorDelegate : Foundry.InputValidator
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryInputValidator
- GObject

#### Constructors

###### foundry_input_validator_delegate_new

No description available.

#### Instance methods

##### Methods inherited from FoundryInputValidator (1)

###### foundry_input_validator_validate

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryInputValidatorDelegateClass {
      FoundryInputValidatorClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryInputValidatorClass`

  No description available.